diff --git a/bin/build.sh b/bin/build.sh
index fa0b3df3a92e033ca23f0ccabe218b230817f599..496d641757cd9d103ad061ffc3b527a3cf93efe7 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -96,7 +96,6 @@ usage ()
     echo "               The flags always include -noinit -nositeinit"
     echo "    -R        Force recompiling the C runtime.  Normally, just runs make to "
     echo "               recompile anything that has changed."
-    echo "    -M opt    Additional flags to be passed to make."
     exit 1
 }
 
@@ -128,17 +127,13 @@ buildit ()
 	$TOOLDIR/clean-target.sh $CLEAN_FLAGS $TARGET || { echo "Failed: $TOOLDIR/clean-target.sh"; exit 1; }
 	time $BUILDWORLD $TARGET $OLDLISP $BOOT || { echo "Failed: $BUILDWORLD"; exit 1; }
 	if [ "$REBUILD_LISP" = "yes" ]; then
-	    if [ -z $MFLAGS ]; then
-		$TOOLDIR/rebuild-lisp.sh $TARGET
-	    else
-		$TOOLDIR/rebuild-lisp.sh -M "$MFLAGS" $TARGET
-	    fi
+	    $TOOLDIR/rebuild-lisp.sh $TARGET
 	else
 	    # Set the LANG to C.  For whatever reason, if I (rtoy) don't
 	    # do this on my openSuSE system, any messages from gcc are
 	    # basically garbled.  This should be harmless on other
 	    # systems.
-	    LANG=C $MAKE -C $TARGET/lisp $MFLAGS $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
+	    LANG=C $MAKE -C $TARGET/lisp $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
         fi
 
 	if [ "$BUILD_WORLD2" = "yes" ];
@@ -157,7 +152,7 @@ BUILDWORLD="$TOOLDIR/build-world.sh"
 BUILD_POT="yes"
 UPDATE_TRANS=
 
-while getopts "123PRo:b:v:uB:C:Ui:f:w:O:M:?" arg
+while getopts "123PRo:b:v:uB:C:Ui:f:w:O:?" arg
 do
     case $arg in
 	1) ENABLE2="no" ;;
@@ -177,7 +172,6 @@ do
         U) UPDATE_TRANS="yes";;
 	O) OLDLISPFLAGS="$OLDLISPFLAGS $OPTARG" ;;
         R) REBUILD_LISP="yes";;
-        M) MFLAGS="$OPTARG" ;;
 	\?) usage
 	    ;;
     esac
diff --git a/bin/rebuild-lisp.sh b/bin/rebuild-lisp.sh
index 1e49d01742a177b1e5e770d6f1a2834e2d200524..7d81f562280bee9a87f282d25c2897fd503ff46a 100755
--- a/bin/rebuild-lisp.sh
+++ b/bin/rebuild-lisp.sh
@@ -1,9 +1,8 @@
 #!/bin/sh
 
-while getopts "M:h?" arg
+while getopts "h?" arg
 do
     case $arg in
-      M) MFLAGS="$OPTARG" ;;
       h) usage ;;
       \?) usage ;;
     esac
@@ -11,11 +10,11 @@ done
 
 usage() 
 {
-    echo "rebuild.-lisp.sh [-h?] [-M opts] target-directory"
+    echo "rebuild.-lisp.sh [-h?] target-directory"
     echo "    -h        this help"
     echo "    -?        this help"
-    echo "    -M opts   Options to pass to make"
-
+    echo ""
+    echo "Force recompiling all the C code in the specified directory".
 }
 
 shift `expr $OPTIND - 1`
@@ -43,4 +42,4 @@ fi
 
 export MAKE
 
-${MAKE} -C $TARGET/lisp $MFLAGS clean && ${MAKE} -C $TARGET/lisp $MFLAGS
+${MAKE} -C $TARGET/lisp clean && ${MAKE} -C $TARGET/lisp